if status is-interactive
    source ~/.asdf/asdf.fish
    set -gx GOPATH ~/.go
    set -gx PATH ~/.go/bin $PATH
    set -gx PATH ~/.asdf/installs/rust/latest/bin $PATH
    set -gx PATH ~/.cargo/bin $PATH
    set -gx PATH ~/.bin $PATH
    set -gx PATH ~/.poetry/bin $PATH
    set -gx PATH ~/.screenlayout $PATH
    set -gx PATH ~/.emacs.d/bin $PATH
    set -gx PATH /opt/homebrew/bin $PATH
    set -gx GIT_CU_DIR ~/src
    set -gx PATH ~/.local/bin $PATH
    set -gx EDITOR vi
    set -gx XDG_RUNTIME_DIR /run/user/(id -u)
    direnv hook fish | source
    alias ls=lsd
    atuin init fish | source
end
